(***********************************************************************)
(*                                                                     *)
(*                          OcamlQuake 0.1                             *)
(*                                                                     *)
(*                         Francois Pessaux                            *)
(*                                                                     *)
(*  Copyright 1998                                                     *)
(*  This code can be re-used or modified without any restriction.      *)
(*  This version is still under development, there may be bugs and     *)
(*  inefficient stuff, and I will not be responsible of what can       *)
(*  happen to you and your environment if you use, read or do          *)
(*  whatever you want with all this... Enjoy...                        *)
(*                                                                     *)
(***********************************************************************)


type frustum =
  { up: Qheader.plane_t;
    down: Qheader.plane_t;
    left: Qheader.plane_t;
    right: Qheader.plane_t }

val node_is_in_frustum: frustum -> Qheader.node_t -> bool
val leaf_is_in_frustum: frustum -> Qheader.dleaf_t -> bool
val transform_frustum: frustum -> Camera.camera -> frustum

