(***********************************************************************)
(*                                                                     *)
(*                          OcamlQuake 0.1                             *)
(*                                                                     *)
(*                         Francois Pessaux                            *)
(*                                                                     *)
(*  Copyright 1998                                                     *)
(*  This code can be re-used or modified without any restriction.      *)
(*  This version is still under development, there may be bugs and     *)
(*  inefficient stuff, and I will not be responsible of what can       *)
(*  happen to you and your environment if you use, read or do          *)
(*  whatever you want with all this... Enjoy...                        *)
(*                                                                     *)
(***********************************************************************)


type event =
  | Mousemove of int * int
  | KeyPress of int
  | ButtonPress of int
  | ButtonRelease of int
  | KeyRelease of int

external init_controler: unit -> unit = "init_controler"
external close_controler: unit -> unit = "close_controler"
external pending_event: unit -> bool = "pending_event"
external flush_event: unit -> unit = "flush_event"

external wait_event: unit -> event = "wait_event"

external check_event: unit -> event option = "check_event"
