(***********************************************************************)
(*                                                                     *)
(*                          OcamlQuake 0.1                             *)
(*                                                                     *)
(*                         Francois Pessaux                            *)
(*                                                                     *)
(*  Copyright 1998                                                     *)
(*  This code can be re-used or modified without any restriction.      *)
(*  This version is still under development, there may be bugs and     *)
(*  inefficient stuff, and I will not be responsible of what can       *)
(*  happen to you and your environment if you use, read or do          *)
(*  whatever you want with all this... Enjoy...                        *)
(*                                                                     *)
(***********************************************************************)


val rad: float -> float
val vec3_normalize: Qheader.vec3_t -> Qheader.vec3_t
val vec3_rotate: Qheader.vec3_t -> Matrix.matrix3x3 -> Qheader.vec3_t
val vertex_plane_distance: Qheader.plane_t -> Gr.vertex -> float
type location = Front | Back
val point_plane_test: Qheader.plane_t -> Qheader.vec3_t -> location
val project_polygon3d_in_place: Gr.vertex array -> unit

