(***********************************************************************)
(*                                                                     *)
(*                          OcamlQuake 0.1                             *)
(*                                                                     *)
(*                         Francois Pessaux                            *)
(*                                                                     *)
(*  Copyright 1998                                                     *)
(*  This code can be re-used or modified without any restriction.      *)
(*  This version is still under development, there may be bugs and     *)
(*  inefficient stuff, and I will not be responsible of what can       *)
(*  happen to you and your environment if you use, read or do          *)
(*  whatever you want with all this... Enjoy...                        *)
(*                                                                     *)
(***********************************************************************)


type camera =
  { position: Qheader.vec3_t;
    rotation: Matrix.matrix3x3;
    irotation: Matrix.matrix3x3;
    mutable h_angle : float ;
    mutable v_angle : float }

val vertex_to_camera_space: camera -> Qheader.vertex_t -> Gr.vertex
val _vectorS: Qheader.vec3_t ref
val _distS: float ref
val _vectorT: Qheader.vec3_t ref
val _distT: float ref
val prepare_camera_rotation_matrices: camera -> unit
