#include <mlvalues.h>
#include <alloc.h>

union charfloat {
  struct {
    unsigned char b0 ;
    unsigned char b1 ;
    unsigned char b2 ;
    unsigned char b3 ;
  } c ;
  float f ;
} ;


value ml_double_from_4_bytes (value b0, value b1, value b2, value b3)
{
  union charfloat data ;

  data.c.b0 = Int_val (b0) ;
  data.c.b1 = Int_val (b1) ;
  data.c.b2 = Int_val (b2) ;
  data.c.b3 = Int_val (b3) ;

  return (copy_double ((double) data.f)) ;
}
